%% Copyright (c) 1996 by Plan95.  All Rights Reserved 
%% Time-stamp: <98/05/27 17:10:39 cjo>
%% ====================================================================
%%  Filename : 	length.erl
%%  Module   :	length
%%  Group    :  Server 
%%  Purpose  :  
%%  Notes    : 
%%  History  :	* 1996-6-17 Christer Jonsson (d92cjo@csd.uu.se): Created.
%% CVS:
%%    $Author: geoff $
%%    $Date: 2002/08/05 08:03:18 $
%%    $Revision: 1.13 $
%% ====================================================================
%% Exported functions (short description):
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

-module(length).
-compile(export_all).


run() ->
%   L = mklist(200000, []),
%%   garbage_collect(),
%%   timing:reset(),
   L = mklist(100000, []),
   statistics(runtime),
   iterate(1000, L),
   { _, User } = statistics(runtime),
   User
   .
%%   {length, timing:time(), timing:gc_time()}.

iterate(0, _) -> ok;
iterate(X, L) ->
   len(L, 0),
   iterate(X-1, L).


len([_|XXX], L) ->
   len(XXX, L+1);
len([], L) ->
   L.


mklist(0, L) ->
   L;
mklist(X, L) ->
   mklist(X-1, [X|L]).
