%    -*- Erlang -*- 
%    File:	bitmap.erl  (~jb/projects/erl_tracer/bitmap.erl)
%    Author:	Johan Bevemyr
%    Created:	Wed Sep 13 00:27:20 1995
%    Purpose:   Implement an interface to bitmaps.
 
-module(bitmap).
-export([bitmap_get_color/3]).
-compile(export_all).
-import(lists,[nth/2]).


bitmap_get_color(X,Y,{Width,Height,Bitmap}) ->
    Xp = trunc(X*Width),
    Yp = trunc(Y*Height),
    Row = nth(Yp+1,Bitmap),
    nth(Xp+1,Row).

