
-module(nice).

nice(X) when tuple(X) ->
    nice_tuple(X);

nice([]) -> [];
nice(L) when list(L) ->
    case is_string(L) of
    true ->
        list_to_atom(L);
    false ->
        [H|T] = L,
        [nice(H) | nice(T)]
    end;
nice(X) -> X.
                               
