
#ifndef _ETYPE_H
#define _ETYPE_H

typedef enum 
{
        LT_none     = 0,
        LT_bool     = 1, 
        LT_number   = 1<<1,     /* 2 */
        LT_real     = 1<<2,     /* 4 */
        LT_list     = 1<<3,     /* 8 */
        LT_atom     = 1<<4,     /* 16 */
        LT_tuple    = 1<<5,     /* 32 */
        LT_string   = 1<<6,     /* 64 */
        LT_binary   = 1<<7,     /* 128 */
        LT_pid      = 1<<8,     /* 256 */
        LT_function = 1<<9,     /* 512 */
        LT_port     = 1<<10,    /* 1024 */
        LT_var      = 1<<11,    /* 2048 */
        LT_token    = 1<<12,    /* 4096 */
        LT_constant = 1<<13,    /* 9182 */
        LT_on_heap  = 1<<14,    /* 16384 */
        LT_gc_only  = 1<<15,    /* 32368 */
        LT_param    = 1<<16,    /* 65536 */
        LT_returned = 1<<17,    /* 131072 */
        LT_all      = LT_param*2-1, 
        LT_single   = LT_pid - 1,
        LT_normal   = LT_function - 1,
        LT_anyvar   = LT_constant - 1
} Etype;


#endif
