
/*
** $Id: meshash.c,v 1.2 1998/05/13 07:16:21 geoff Exp $
**
** $Source: /home/cvs/gerl/lib/meshash.c,v $
** $Revision: 1.2 $
** $Date: 1998/05/13 07:16:21 $
** $State: Exp $
**
** Author: Geoff Wong
** Copyright(C) 1998
** geoff@serc.rmit.edu.au
*/

#include <stdio.h>
#include "ehash.h"
#include "erlnode.h"

int mes_key(Hash_table HT, void * key)
{
#ifdef DEBUG
fprintf(stderr, "mes_key = %d\n", (unsigned int) key);
#endif
	return ((unsigned int)key) % HT->size;
}

int mes_hash(Hash_table HT, void * key)
{
#ifdef DEBUG
fprintf(stderr, "mes_hash = %d\n", (unsigned int) ((Message_bucket)key)->pid);
#endif
	return ((Message_bucket)key)->pid % HT->size;
}

int mes_match(Hash_table HT, void * element, void * key)
{
	unsigned int s;
	Message_bucket c;
	
	s = (unsigned int) key;
	c = (Message_bucket) element;
	
#ifdef DEBUG
fprintf(stderr, "mes_match: %d = %d\n", c->pid, s);
#endif

	if (c->pid == s) 
    { 
        /* found it */
		return 1;
	}
	return 0;
}


