

/*
** $Id: str.c,v 1.7 2001/12/02 12:25:29 geoff Exp $
**
** $Source: /home/cvs/gerl/lib/str.c,v $
** $Revision: 1.7 $
** $Date: 2001/12/02 12:25:29 $
** $State: Exp $
**
** Author: Geoff Wong
*/

/*
 * Some string support routines
 */
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "str.h"

#define MAXTMP 256 

char * string_copy(const char * s)
{
    char * ret;
    ret = (char *)malloc(sizeof(char) * (strlen(s)+1));
    strcpy(ret,s);
    return ret;
}

char * string_cat(const char * s, const char * t)
{
    char * ret;
    ret = (char *)malloc(sizeof(char) * (strlen(s) + strlen(t) +1));
    strcpy(ret,s);
    strcat(ret,t);
    return ret;
}

#if 0
/* 256 should be long enough for any integer we're printing! */
String itoa(int x)
{
        char tmp[MAXTMP];
        sprintf(tmp, "%d", x);
        String out(tmp);
        return out;
}

/*
** itoa - same except pad it to a certain width with '0's.
*/
String itoa(int x, int width, char pad)
{
        char tmp[MAXTMP];
        int i, l;

        if (width > MAXTMP) width = MAXTMP;

        sprintf(tmp, "%*d", width, x);

        l = strlen(tmp);
        for (i = 0; i < l; i++)
        {
                if (tmp[i] == ' ') tmp[i] = pad;
        }

        String out(tmp);
        return out;
}

#if 0
// Testing shit.
main()
{
        String x;

        x = itoa(7,2);
}
#endif

#endif
