/*
** Client: collects messages from server when ready
**      Two states: either ignoring signals or collecting
**
** Most of this has to become library stuff / compiled into each process?
*/
#include <stdio.h>
#include <sys/types.h>
#include <sys/time.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <arpa/telnet.h>
#include <netdb.h>
#include <errno.h>
#include <signal.h>
#include <fcntl.h>

#define IP_PROT 0

#include "protocol.h"

const byte ready[3];
int S;
int port;
int connected = 0;

void doit(int num)
{
    struct sockaddr_in sin, addr;

    signal(SIGUSR1, doit);

    sin.sin_family = AF_INET;
    sin.sin_port = htons(port);
    sin.sin_addr.s_addr = 0x0100007f;
    
    if (connected == 0 && 
        connect(S, &sin, sizeof sin) == -1 && errno != EISCONN)
    {
        fprintf(stderr, "Failed to connect() to host (%d).\n", errno);
        exit(1);
    }
    connected = 1;

    ready[0] = VERSION_MAGIC;
    ready[1] = P_ready;
    ready[2] = '\0';

    /* send a ready signal */
    if (send(S, ready, strlen(ready), 0) == -1)
    {
        fprintf(stderr, "Failed to send() ready message (%d).\n", errno);
        exit(1);
    }

    /* get messages */
}

main(int argc, char * argv[])
{
    if (argc < 2)
    {
        fprintf(stderr, "client <port>\n");
        exit(1);
    }

    port = atoi(argv[1]);
    
    /* create a socket to the server */
    S = socket(AF_INET, SOCK_STREAM, IP_PROT);

    signal(SIGUSR1, SIG_IGN);
    sleep(1);
    signal(SIGUSR1, doit);
    while (1);
}
