
%%
%% Message: send a message to a specified port (in correct format).
%%

-module(message).
-import(socket, [create_socket/3,connect/2,send/2,shutdown/2,close/1]).
-export([message/2]).


message(Port, Msg) when integer(Port) ->
   S = create_socket(af_inet(), sock_stream(), 0),
   connect(S, { 16#0100007f, Port }),
   send(S, Msg),
   shutdown(S,2),
   close(S)
   .


