
#ifndef _PROTOCOL_H
#define _PROTOCOL_H

/*
** Packet format:  version_magic : tag : data 
*/

#define VERSION_MAGIC 131

typedef enum
{
    P_invalid = 0,
    P_ready = 1,
    P_small_integer_ext = 97,
    P_integer_ext = 98,
    P_float_ext = 99,
    P_atom_ext = 100,
    P_reference_ext = 101,
    P_port_ext = 102,
    P_pid_ext = 103,
    P_small_tuple_ext = 104,
    P_large_tuple_ext = 105,
    P_nil_ext = 106,
    P_string_ext = 107,
    P_list_ext = 108,
    P_binary_ext = 109,
    P_big_ext = 110,
    P_large_big_ext = 111,
    P_new_cache = 78,
    P_cached_atom = 67
} Packet;

typedef unsigned char byte;

#endif
