

//
// $Id: if.h,v 1.11 2002/07/25 06:34:06 geoff Exp $
//
// $Source: /home/cvs/gerl/src/if.h,v $
// $Revision: 1.11 $
// $Date: 2002/07/25 06:34:06 $
// $State: Exp $
//
// Copyright (C) Geoff Wong (1996, 1997, 1998)
// geoff@cs.rmit.edu.au
//
// This file is distributed under the terms of the
// GNU Public License, details of which can be found
// in the file "Copying" which accompanies this code.        
//

#ifndef _IF_H
#define _IF_H
#include "node.h"
#include "function.h"

class If : public Node
{
    NodeList * vlist;
public:
    If(NodeList *);
    list<string> pre_code();
    list<string> emit_code();
    void assign(Symbol * x);

    string print();
    void set_depth(int);
};


class IfClause : public Node
{
    Node * guard;
    ClauseBody * body;
public:
    IfClause(Node *, Node *);

    list<string> pre_code();
    list<string> emit_code();
    string print();
    void assign(Symbol * x);
    void set_depth(int);
    void set_flat(bool f) { _flat = f; body->set_flat(f); };
    // bool flat_code() { return true; }
};

#endif
