

//
// $Id: list_comp.h,v 1.1 2001/07/03 14:24:46 geoff Exp $
//
// $Source: /home/cvs/gerl/src/list_comp.h,v $
// $Revision: 1.1 $
// $Date: 2001/07/03 14:24:46 $
// $State: Exp $
//
// Author: Geoff Wong
//

#ifndef _LIST_COMP_H
#define _LIST_COMP_H

//
// Looks of "friend" ugliness herein.
//

#include "node.h"
#include "function.h"
#include "symbol.h"


#if 0
class Case;

// a slightly modified NodeList
class CaseList : public NodeList
{
    friend class CrHead;
    friend class CrClause;
public:
    CaseList(Node *);
    list<string> emit_code(string);
    void set_parent(Case * x);
        // PURPOSE: set the parent in each CrHead (pointing to the Case it's in)
};
#endif

// Encapsulates the Case statement
class List_Comp : public Node
{
protected:
    Node * expr;
    NodeList * listcomps;
public:
    List_Comp(Node *, NodeList *);
    list<string> emit_code();
    string print();
    string label();
    void set_depth(int);
};

#endif
