

//
// $Id: match.h,v 1.12 2001/06/18 15:32:17 geoff Exp $
//
// $Source: /home/cvs/gerl/src/match.h,v $
// $Revision: 1.12 $
// $Date: 2001/06/18 15:32:17 $
// $State: Exp $
//
// Author: Geoff Wong
//

#ifndef MATCH_H
#define MATCH_H

#include "node.h"
#include "symbol.h"

// @@DOC
// Should be Pattern = Expr
// @@ENDDOC              

class Match : public Node
{
    static int _labelcount;

    string _label;

    Node * left, * right;
public:
    SymbolTable Table;

    Match(Node *, Node *);

    list<string> emit_code();
    string print();
    string label();

    Symbol * freesym();
    void   freesym(Symbol *);
        // forwards freesym() calls to the RHS.

    void add_symbol(SymbolTable *, int df = LT_none);

    // bool typecheck(Etype check, Etype restrict);
};


#endif
