
#ifndef _RECEIVE_H
#define _RECEIVE_H

#include "node.h"
#include "case.h"
#include "str.h"

class Send : public Node
{
	Node * left, * right;
public:
	Send(Node *, Node *);

	list<string> emit_code();
	string print();
    void set_depth(int);
};

class Receive : public Case
{
    // static int _labelcount;

	// CaseList * clauses;
    // string _label;
	Node * after, * body;

public:
	Receive(CaseList *, Node *, Node *);

	list<string> emit_code();
	string print();
    string label();
        // Purpose: return my current label as a string for the symbol table
    void set_depth(int);
};


#endif
