
//
// $Id: tuple.h,v 1.7 2001/06/18 15:32:21 geoff Exp $
//
// $Source: /home/cvs/gerl/src/tuple.h,v $
// $Revision: 1.7 $
// $Date: 2001/06/18 15:32:21 $
// $State: Exp $
//
// Copyright (C) Geoff Wong (1996, 1997, 1998)
// geoff@cs.rmit.edu.au
//
// This file is distributed under the terms of the
// GNU Public License, details of which can be found
// in the file "Copying" which accompanies this code.        
//

#ifndef _TUPLE_H
#define _TUPLE_H

#include "node.h"
#include "str.h"

class Tuple : public Node
{
    string storage;

    NodeList * vlist;
public:
    Tuple(const string& tmp);
    Tuple(const string& tmp, NodeList *);

    list<string> emit_code();
    string print();    
    string emit_pattern(string p);
    void add_symbol(SymbolTable *, int df = LT_none);
};

#endif
