/*
 * Functions to walk abstract syntax tree
 * Copyright (C) 1996 Geoff Wong
 */

extern int list_tail(Node node);
extern void operator_node(Node node, char * symbol);
extern void walk_error(const char * fmt, ...);
extern void function_node(Node node);
extern void function_clause(Node node);
extern void var_node(Node node);
extern void clause_guard(Node node);
extern void clause_body_node(Node node);
extern void clause_head(Node node);
extern void func_call(Node node);
extern void list_node(Node node);
extern void assign_node(Node node);
extern void handle_exprs(Node node);
extern void patterns(Node node, int);
extern void pattern_tuple(Node node);
extern void pattern_list(Node node, int);
extern void pattern_tail(Node node, int);
extern void if_node(Node node);
extern void if_clause(Node node);

extern void set_module(Node node);
extern void set_export(Node node);
extern void set_import(Node node);
extern void set_compile(Node node);
