
% Testing list of lists (etc)

-module(mem1).

run() ->
   L=mklist(100,[]),
   { _, S, _} = now(),
   iterate(100,L),
   { _, E, _} = now(),
   (E - S).                        

iterate(0,_) -> ok;
iterate(X,L) -> 
   listoflist(L),
   iterate(X-1,L).

listoflist([]) ->
    ok;
listoflist([H|T]) ->
   io:puti(H),
   listoflist(T).

mklist(0, L) ->
   L;
mklist(X, L) ->
   mklist(X-1, [[scndlist(100,[])]|L]).

scndlist(0, L) ->
   L;
scndlist(X, L) ->
   scndlist(X-1, [X|L]).

