
% Testing tuples of tuples (etc)

-module(mem6).

run() ->
   L=mktupletuple(),
   { _, S, _} = now(),
   iterate(100,L),
   { _, E, _} = now(),
   (E - S).                        

iterate(0,_) -> ok;
iterate(X,L) -> 
   tupleoftuple(L),
   iterate(X-1,L).

tupleoftuple({A,B,C,D,E}) ->
   tupleoftuple(A),
   tupleoftuple(B),
   tupleoftuple(C),
   tupleoftuple(D),
   tupleoftuple(E),
    ok;
tupleoftuple(A) ->
   io:puti(A).

mktupletuple() ->
   { scndtuple(), scndtuple(), scndtuple(), scndtuple(), scndtuple() }.

scndtuple() ->
   { 1, 2, 3, 4, 5 }.

