%% Copyright (c) 1996 by Plan95.  All Rights Reserved 
%% Time-stamp: <98/05/26 15:20:41 cjo>
%% ====================================================================
%%  Filename : 	nrev.erl
%%  Module   :	nrev
%%  Group    :  Server 
%%  Purpose  :  
%%  Notes    : 
%%  History  :	* 1996-6-17 Christer Jonsson (d92cjo@csd.uu.se): Created.
%% CVS:<br>
%%    $Author: geoff $
%%    $Date: 2002/08/05 08:03:18 $
%%    $Revision: 1.18 $
%% ====================================================================
%% Exported functions (short description):
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

-module(nrev).
-compile(export_all).


run() ->
    L = mklist(200, []),
%   garbage_collect(),
%   timing:reset(),
    statistics(runtime),
    iterate(500, L),
    { _, User} = statistics(runtime),
    User.
%   {nrev, timing:time(), timing:gc_time()}.

test() ->
   L = mklist(200, []),
   nrev(L).

iterate(0, _) -> ok;
iterate(X, L) -> 
   nrev(L),
   iterate(X-1, L).


append([],L) ->
   L;
append([A|B],L) ->
   [A|append(B,L)].


nrev([]) ->
   [];
nrev([A|B]) ->
   append(nrev(B),[A]).



mklist(0, L) -> 
   L;
mklist(X, L) -> 
   mklist(X-1, [X|L]).

