%% Copyright (c) 1996 by Plan95.  All Rights Reserved 
%% Time-stamp: <98/05/26 15:22:59 cjo>
%% ====================================================================
%%  Filename : 	tak.erl
%%  Module   :	tak
%%  Group    :  Server 
%%  Purpose  :  
%%  Notes    : 
%%  History  :	* 1996-6-17 Christer Jonsson (d92cjo@csd.uu.se): Created.
%% CVS:<br>
%%    $Author: geoff $
%%    $Date: 2002/08/05 08:03:18 $
%%    $Revision: 1.7 $
%% ====================================================================
%% Exported functions (short description):
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

-module(tak).
-export([run/0]).


run() ->
%   garbage_collect(),
%   timing:reset(),
    statistics(runtime),
    iterate(1000),
    { _, User} = statistics(runtime),
    User.
%   {tak, timing:time(), timing:gc_time()}.


iterate(0) -> 
   ok;
iterate(X) -> 
   tak(),
   iterate(X-1).


tak() -> 
   tak(18, 12, 6).


tak(X, Y, Z) when X =< Y ->
   Z;
tak(X, Y, Z) ->
   A1 = tak(X-1, Y, Z),
   A2 = tak(Y-1, Z, X),
   A3 = tak(Z-1, X, Y),
   tak(A1, A2, A3).
