
/*
** $Id: malloc.h,v 1.3 1998/11/25 12:23:15 geoff Exp $
**
** $Source: /home/cvs/gerl/lib/malloc.h,v $
** $Revision: 1.3 $
** $Date: 1998/11/25 12:23:15 $
** $State: Exp $
**
** Author: Geoff Wong
** Copyright(C) 1998
** geoff@serc.rmit.edu.au
**
** Malloc Redefinitions 
**
*/


#ifdef GC   /* use GC malloc */

#include "GC/gc.h"

#define malloc(s)       GC_malloc(s)
#define xalloc(s)       GC_malloc(s)
#define realloc(p, s)   GC_realloc(p, s)
#define xrealloc(p, s)  GC_realloc(p, s)
#define calloc(m,n)     GC_malloc((m)*(n)) /* gc malloc initialises it */
#if 1
#define free(p)     GC_free(p)
#else
#define free(p)     1   /* no frees! */
#endif

#endif

