
#include <stdlib.h>
#include <stdio.h>
#include <sys/stat.h>
#include <dlfcn.h>
#include "erlib.h"

#if  0
// Let them use LD_LIBRARY_PATH
static char ** _Epath = NULL;

void Eset_path(char ** paths)
{
    _Epath = paths;
}
#endif

void * Eopen_module(const char * module)
{
    void * handle;

    // should we have a module hash table to check
    // if we're already open and just return?

#if 0
    // by default look locally
    char * smodule;
    struct stat fbuf;

    strcpy(smodule, module);
    strcat(smodule, ".so");
    for (i = 0; _Epath[i]; i++)
    {
#ifdef DEBUG
    fprintf(stderr,"Checking %s for %s\n", (*i).chars(), module);
#endif
        testmod = (*i) + "/" + module + ".so";
        if (stat(testmod.chars(), &fbuf) == 0)
        {
            smodule = testmod;
        }
    }
#endif

    handle = dlopen(module, RTLD_NOW | RTLD_GLOBAL);
    if (!handle)
    {
        // FIX: should this be a throw?
        fprintf(stderr, "Loading module (%s) failed.\n", module);
        return 0;
    }
    return handle;
}


