/*
 ** $Id: tuple.h,v 1.3 2002/08/03 14:31:42 geoff Exp $
 **
 ** $Source: /home/cvs/gerl/lib/tuple.h,v $
 ** $Revision: 1.3 $
 ** $Date: 2002/08/03 14:31:42 $
 ** $State: Exp $
 **
 ** Author: Geoff Wong
 ** Copyright(C) 2001
 ** geoff@serc.rmit.edu.au
 */

#ifndef TUPLE_H
#define TUPLE_H

typedef struct _tuple
{
    unsigned int size;
    unsigned int ref;
    Val e[1];
} _Tuple;

typedef struct _tuple * ETuple;


/*    TC2(_V, LT_tuple, X, __FILE__, __LINE__), */ 
#define Eindex_tuple(_V, X) \
( \
    _V.u.tuple->e[X] \
)


/*    TC2(_V, LT_tuple, X, __FILE__, __LINE__), */  
#define Ecindex_tuple(_V, X) \
( \
    __vvv=_V.u.tuple->e[X], \
    _V.u.tuple->e[X].tag = _V.u.tuple->e[X].tag & ~LT_on_heap, \
    __vvv \
)

void tuplefree(Val v);
    // dec ref count and possibly free
    
Val tuplecopy(Val v);
    // allocate and copy

#endif

