
/*
	Abstract syntax tree support for my Erlang parser.

	Geoff Wong (C) Copyright 1995.
	C/O RMIT University
	Swanston St. Melbourne 3000.
	Australia

	email: geoff@cs.rmit.edu.au

	This file is distributed under the terms of the 
	GNU Public License, details of which can be found
	in the file "Copying" which accompanies this code.
*/

/*
	Erlang Compiler types.
*/

#ifndef _AST
#define _AST

#include "erlib.h"

struct _node {
	int type;
	int size;
	struct _node ** nodes;
	Many value;
};

typedef struct _node * Node;
typedef struct _node Nodesize;

extern Node make_node(int, ...);
extern Node add_node(Node, Node);
extern char * string_copy(char * );

#endif

