
//
// Catch
//
// Catch expression
// returns expression if there's no error
// other returns { 'EXIT', Atom(Reason) }
//

#include "symbol.h"
#include "catch.h"

Catch::Catch(Node * n)
{
	value = n;
}

list<string> Catch::emit_code()
{
    Symbol * s;
    string ret;

    add_pre_code(value->pre_code());

    ret = "(setjmp(*(Epush_catch())) ? Emake_catch() : Epop_catch(("
            + value->expr_code() + ")))";                                   

	return string2list(ret);
}


string Catch::print()
{
	return "catch " + value->print();
}

