
/*
 * A simple Erlang shell
 * 
 * Current supports:
 * 	    module.func(x,y,z)
 * So we can start programs (dynamically).
 * 
 * Should be extended to interpret arbitrary Erlang expressions
 * Also should be runnable as !#/usr/local/bin/erlsh
 *
 * Add support for doing shell type I/O?
 */


#include <stdio.h>
#include <dlfcn.h>
#include "mangle.h"
#include "erlib.h"
#include "String.h"

class ErlangShell
{
	static ErlangShell * _instance;

	string _root;
		// temporary constant until replaced

public:
	ErlangShell();

	static ErlangShell * Instance();
		// we're a Singleton
	void Shell();
		// main input loop..
	void Interpret(string& str);
		// interpret a string (in a very limited fashion!)
		// extracts parameters does a Call if required
	Val Call(Mangle& what);
		// do the function call and do it..
    // void Printvalue(Val v);
        // Purpose: just print a value to stdout
};
