//
// $Id: namer.h,v 1.3 2002/01/13 11:40:27 geoff Exp $
//
// $Source: /home/cvs/gerl/src/namer.h,v $
// $Revision: 1.3 $
// $Date: 2002/01/13 11:40:27 $
// $State: Exp $
//
// Copyright (C) Geoff Wong (1996, 1997, 1998)
// geoff@cs.rmit.edu.au
//
// This file is distributed under the terms of the
// GNU Public License, details of which can be found
// in the file "Copying" which accompanies this code.        
//

//
// Shared name mangler for compilation / runtime phases.
//

#ifndef _NAMER_H
#define _NAMER_H

#include "String.h"
#include "str.h"

class Namer
{
    static int anon_count;

public:
    static string mangle(string& module, string& name, int param);
        // mangle given some stuff to produce a C name

    static string semi_mangle(string& name, int param);

    static string anon_function();
        // generate an anonymouns function name (for internal use)
        // also used when emitting the C code (as a real static function)
};

#endif
