
#include "str.h"
#include "pragma.h"
#include <stdio.h>

Pragma::Pragma()
{
}

Pragma::Pragma(ExprList * val)
{
    text = val;
}

string Pragma::print()
{
    string ret;
    list<Node *>::iterator i;

    for (i = text->nodes.begin(); i != text->nodes.end(); i++)
    {
        (*i)->print();
    }
    return ret;
}

list<string> Pragma::emit_code()
{
    string ret;
    list<Node *>::iterator i;

// fprintf(stderr, "PRAGMA: emit_code\n");
    for (i = text->nodes.begin(); i != text->nodes.end(); i++)
    {
        ret = ret + (*i)->print() + "\n";
    }
    return string2list(ret);
}
